NativeIO.Windows.AccessRight (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io.nativeio, class: NativeIO, class: Windows, enum: AccessRight

Package org.apache.hadoop.io.nativeio

# Enum Class NativeIO.Windows.AccessRight

java.lang.Object
java.lang.Enum<NativeIO.Windows.AccessRight>
org.apache.hadoop.io.nativeio.NativeIO.Windows.AccessRight

All Implemented Interfaces:
  `Serializable`, `Comparable<NativeIO.Windows.AccessRight>`, `Constable`

Enclosing class:
  org.apache.hadoop.io.nativeio.NativeIO.Windows

public static enum NativeIO.Windows.AccessRight extends Enum<NativeIO.Windows.AccessRight>
Supported list of Windows access right flags

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCESS_EXECUTE`
  `ACCESS_READ`
  `ACCESS_WRITE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `accessRight()`
  `static NativeIO.Windows.AccessRight`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NativeIO.Windows.AccessRight[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACCESS_READ

    public static final NativeIO.Windows.AccessRight ACCESS_READ

  - ### ACCESS_WRITE

    public static final NativeIO.Windows.AccessRight ACCESS_WRITE

  - ### ACCESS_EXECUTE

    public static final NativeIO.Windows.AccessRight ACCESS_EXECUTE

- ## Method Details

  - ### values

    public static NativeIO.Windows.AccessRight[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NativeIO.Windows.AccessRight valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### accessRight

    public int accessRight()